﻿
local AssignSoldier = foundation.createMod();

_assignSoldierPrefix = "ASSIGN_SOLDIER_V3"

AssignSoldier:log("Hello World: AssignSoldier")
--AssignSoldier:logWarning("This is a warning!")
--AssignSoldier:logError("This is an error!")
--AssignSoldier:msgBox("AssignSoldier: Hello there")

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    AssignSoldier:msgBox("AssignSoldier: game version anterior to 1.6")
    return
end
AssignSoldier:msgBox("AssignSoldier: game version" .. foundation.getGameVersion())

function checkVersion(_name, _id, _minimalVersion)
    if (foundation.getModVersion == nil) then
        AssignSoldier:msgBox("AssignSoldier: Unknown mod version")
        return false
    end
    if not foundation.isModEnabled(_id) then
        AssignSoldier:msgBox("AssignSoldier: " .. _name .. " disabled")
        return false
    end
    if not foundation.isModLoaded(_id) then
        AssignSoldier:msgBox("AssignSoldier: Up the position of " .. _name .. " in the mod list of your game")
        return false
    end
    local _myVersion = foundation.getModVersion(_id)
    AssignSoldier:msgBox("AssignSoldier: " .. _name .. " Current version : " .. _myVersion)
    if version.cmp(_myVersion, _minimalVersion) < 0 then
        AssignSoldier:msgBox("AssignSoldier: Please, load the last version of " .. _name)
        return false
    end
    return true
end

-- check all the mandatory dependencies
_flagSg7 = checkVersion("Stone Gate Set V7", "ad4b77eb-f903-4ade-89df-043293e696ec", "7.3.14")
_flagSecurity = checkVersion("Security", "99ee3b3b-f103-41f0-a725-bc466a2fc6de", "1.0.8")
if not _flagSg7 then
    return 
end

AssignSoldier:dofile("scripts/monument.lua")
